Issue106

Title mod_mirrorbrain does not handle ipv6 dat mod_geoip
Priority bug Status resolved
Superseder Nosy List poeml, toma
Assigned To poeml Keywords

Created on 2012-03-30.19:54:33 by toma, last changed by poeml.

Messages
msg378 (view) Author: poeml Date: 2012-04-14.21:45:10
Works as expected! Will be in the next release.
msg371 (view) Author: poeml Date: 2012-03-31.21:02:28
Saw your bug just now - exactly the same did I think, and I committed an 
according patch a short while ago :-)
msg369 (view) Author: toma Date: 2012-03-30.19:54:33
I'm now using mod_geoip 1.2.7. Unfortunately the mod_geoip developers seem to 
have decided to store data in _V6 variables. Like:

-----
apr_table_setn(r->notes, "GEOIP_CONTINENT_CODE_V6", continent_code);
apr_table_setn(r->notes, "GEOIP_COUNTRY_CODE_V6", country_code);
apr_table_setn(r->notes, "GEOIP_COUNTRY_NAME_V6", country_name);
-----

mod_mirrorbrain seem to only look at the non V6 data. See:
-----
    country_code = apr_table_get(r->subprocess_env, "GEOIP_COUNTRY_CODE");
    country_name = apr_table_get(r->subprocess_env, "GEOIP_COUNTRY_NAME");
    continent_code = apr_table_get(r->subprocess_env, "GEOIP_CONTINENT_CODE");
-----

Maybe first read the V6 data and if empty read the non V6 data?
History
Date User Action Args
2012-04-14 21:45:10poemlsetstatus: testing -> resolved
messages: + msg378
2012-03-31 21:02:28poemlsetstatus: unread -> testing
assignedto: poeml
messages: + msg371
nosy: + poeml
2012-03-30 19:54:33tomacreate